Starmade | shop prices display prices incorrectly
Closed, FinishedPublic

Description

Setting a buy and sell price for an item works, but the ingame GUI displays the "set price to sell" button changes only the sell price, but the game puts that value in the info menu for both the buy and sell fields. It's a display issue only though.

Details

Testing Results
Affected Gamemode(s)
Single and Multi
Reproducible
Yes
Last tested (version)
0.19604 (Dev)
Issue Type
Bug
Category
Ingame GUI/HUD
First occurrence (version)
0.1885
Hardware/Software/System
OS-Specific
No
Hardware-Specific
No
Video Card Vendor
uncertain
Tester information (Internal use only)

Partially fixed:

Both buy and sell prices display and work fine...
However, unloading and loading the sector again, will set the sell price equal to the buy price again. Sell price doesn't save properly

This wasn't mentioned in the original report since I didn't notice, now I did :)

Serverconfig (server.cfg)
<replace this line with the file content>
Clientconfig (settings.cfg)
<replace this line with the file content>
lancake created this task.Jun 8 2015, 8:59 AM
lancake changed Category from none/unspecified to Ingame GUI/HUD.
lancake changed Affected Gamemode(s) from none/unspecified to Single and Multi.
lancake set First occurrence (version) to 0.1885.
lancake changed Reproducible from uncertain to Yes.
lancake set Last tested (version) to 0.19247 (Dev).
lancake edited a custom field.
lancake edited Serverconfig (server.cfg). (Show Details)
lancake edited Clientconfig (settings.cfg). (Show Details)
lancake added a subscriber: lancake.
lancake changed the task status from "Open" to "In Queue (Game)".Jun 8 2015, 2:56 PM
AndyP shifted this object from the S1 Public space to the S3 Starmade space.Aug 11 2015, 10:26 PM
AndyP changed the edit policy from "Starmade (Project)" to "All Users".
AndyP set Issue Type to Bug.
AndyP set OS-Specific to No.
AndyP set Hardware-Specific to No.
AndyP set Video Card Vendor to uncertain.
lancake claimed this task.Sep 21 2015, 10:48 AM
lancake changed Last tested (version) from 0.19247 (Dev) to 0.19439 (Dev).Sep 26 2015, 10:53 AM
schema changed the task status from "In Queue (Game)" to "Resolved".Mar 9 2016, 7:22 PM
schema added a subscriber: schema.
lancake changed the task status from "Resolved" to "In Queue (Game)".Mar 10 2016, 3:46 PM

-QA Testing-

Partially fixed:

Both buy and sell prices display and work fine...
However, unloading and loading the sector again, will set the sell price equal to the buy price again. Sell price doesn't save properly

This wasn't mentioned in the original report since I didn't notice, now I did :)

lancake changed Last tested (version) from 0.19439 (Dev) to 0.19602 (Dev).Mar 10 2016, 3:46 PM
lancake edited Tester information (Internal use only). (Show Details)
schema changed the task status from "In Queue (Game)" to "Resolved".EditedMar 12 2016, 4:30 PM

Will only fix for new shops or if reset a sell price on a personal shop

lancake closed this task as "Closed".Mar 14 2016, 3:03 PM

-QA Testing-

Fix confirmed, checked item trading too instead of credits and it updates/saves properly.

Restricted Application removed a project: Workflow Quality Assurance. · View Herald TranscriptMar 14 2016, 3:03 PM
lancake changed Last tested (version) from 0.19602 (Dev) to 0.19604 (Dev).Mar 14 2016, 3:03 PM

Add Comment